import ts from "typescript";
import SchemaCache from "../SchemaCache.js";
import { Fix } from "./types.js";
export default class SchemaTypeBuilder {
    private schemaCache;
    private sourceFile;
    constructor(schemaCache: SchemaCache, sourceFile: ts.SourceFile);
    /**
     * Builds all of the types for the schemas that are resident to the current
     * file.
     *
     * This clears the schema type cache for that file and re-builds it for that file.
     *
     * Will reun the replace against the file.
     */
    buildResidentTypes(schemaDefinitions: ts.TaggedTemplateExpression[]): Fix[];
    private processDeclareSchemaTemplate;
    private genRecordShapeCode;
}
//# sourceMappingURL=SchemaTypeBuilder.d.ts.map